html {
    box-sizing: border-box;
}

*,
*::after,
*::before {
    box-sizing: inherit;
}

a {
    text-decoration: none;
    color: inherit;
}

ul,
li {
    margin: 0;
    padding: 0;
    list-style: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0;
}

.herringbone__wrapper {
    width: 100% !important;
    max-width: 1220px !important;
    padding: 0 10px !important;
    margin: 0 auto !important;
}

.herringbone__title {
    color: #fff !important;
    font-weight: 700 !important;
    text-transform: uppercase !important;
    text-align: center !important;
    font-size: 22px !important;
    margin-bottom: 25px !important;
    background-color: #3A4752 !important;
    padding: 10px 0 !important;
    border-radius: 0.5em !important;
}

.herringbone__container {
    background-image: url('images/herringbone.png') !important;
    background-repeat: no-repeat !important;
    background-position: center center !important;
    background-size: cover;
    width: 100% !important;
    max-width: 450px !important;
    min-height: 450px !important;
    margin: 0 auto !important;
    position: relative !important;
}

.herringbone__container--active {
    animation: shake 1s linear !important;
}

.herringbone__box-img {
    display: none !important;
    width: 180px !important;
    height: 180px !important;
    position: absolute !important;
    top: 30% !important;
    left: 50% !important;
    transform: translate(-30%, -50%);
}

.herringbone__box-sale {
    display: none !important;
    position: absolute !important;
    top: 76% !important;
    left: 50% !important;
    transform: translate(-50%);
    background-color: #fff !important;
    border: 1px solid #000 !important;
    font-size: 30px !important;
    color: red !important;
    border-radius: 50% !important;
    padding: 15px 25px !important;
    font-weight: bold !important;
}

.herringbone__box-sale--active {
    display: block !important;
}

.herringbone__box-img--active {
    display: block !important;
    animation: chosen_one 4s linear !important;
    animation-fill-mode: forwards !important;
}

.redbox {
    position: absolute;
    top: 0;
    left: 0;
    width: 30px;
    height: 30px;
    cursor: pointer;
}

#red-1 {
    top: 17%;
    left: 41%;
}

#red-2 {
    top: 52%;
    left: 45%;
}

#red-3 {
    top: 63%;
    left: 13%;
}

#red-4 {
    top: 64%;
    left: 73%;
}

.orangebox {
    position: absolute;
    top: 0;
    left: 0;
    width: 30px;
    height: 30px;
    cursor: pointer;
}

#orange-1 {
    top: 20%;
    left: 51%;
}

#orange-2 {
    top: 42%;
    left: 26%;
}

#orange-3 {
    top: 56%;
    left: 56%;
}

#orange-4 {
    top: 74%;
    left: 23%;
}

#orange-5 {
    top: 79%;
    left: 65%;
}

.oceanbox {
    position: absolute;
    top: 0;
    left: 0;
    width: 30px;
    height: 30px;
    cursor: pointer;
}

#ocean-1 {
    top: 37%;
    left: 41%;
}

#ocean-2 {
    top: 34%;
    left: 59%;
}

#ocean-3 {
    top: 63%;
    left: 34%;
}

@media(max-width:450px) {
    #red-1 {
        top: 21%;
    }
    #orange-1 {
        top: 23%;
    }
    #orange-4 {
        top: 73%;
        left: 23%;
    }
    #orange-5 {
        top: 78%;
    }
}

@media(max-width:420px) {
    #ocean-2 {
        top: 36%;
    }
    #red-4 {
        top: 62%;
    }
    #orange-5 {
        top: 76%;
    }
}

@media(max-width:380px) {
    #orange-4 {
        top: 70%;
    }
    #orange-5 {
        top: 73%;
    }
    #ocean-3 {
        top: 60%;
    }
}

@media(max-width:360px) {
    #orange-3 {
        top: 54%;
    }
    #red-3 {
        top: 60%;
    }
    #red-4 {
        top: 60%;
        left: 72%;
    }
    #red-1 {
        top: 24%;
    }
    #orange-1 {
        top: 26%;
    }
    #orange-4 {
        top: 68%;
        left: 23%;
    }
    #orange-5 {
        top: 71%;
    }
}

@media(max-width:320px) {
    #red-3 {
        top: 59%;
        left: 10%;
    }
    #ocean-3 {
        top: 59%;
        left: 32%;
    }
    #orange-4 {
        top: 67%;
        left: 22%;
    }
    #red-1 {
        top: 26%;
        left: 39%;
    }
    #orange-1 {
        top: 27%;
    }
    #orange-2 {
        top: 44%;
        left: 24%;
    }
    #ocean-1 {
        top: 40%;
    }
    #ocean-2 {
        top: 38%;
    }
    #red-4 {
        top: 58%;
        left: 73%;
    }
}

@keyframes shake {
    0% {
        transform: translate(1px, 1px) rotate(0deg);
    }
    10% {
        transform: translate(-1px, -2px) rotate(-1deg);
    }
    20% {
        transform: translate(-3px, 0px) rotate(1deg);
    }
    30% {
        transform: translate(3px, 2px) rotate(0deg);
    }
    40% {
        transform: translate(1px, -1px) rotate(1deg);
    }
    50% {
        transform: translate(-1px, 2px) rotate(-1deg);
    }
    60% {
        transform: translate(-3px, 1px) rotate(0deg);
    }
    70% {
        transform: translate(3px, 1px) rotate(-1deg);
    }
    80% {
        transform: translate(-1px, -1px) rotate(1deg);
    }
    90% {
        transform: translate(1px, 2px) rotate(0deg);
    }
    100% {
        transform: translate(1px, -2px) rotate(-1deg);
    }
}

@keyframes chosen_one {
    0% {
        transform: translate(0, 0);
    }
    25% {
        transform: translate(30%, 25%);
    }
    50% {
        transform: translate(-30%, 50%);
    }
    75% {
        transform: translate(30%, 75%);
    }
    100% {
        transform: translate(-30%, 100%);
    }
}